Subject: LPS EdgeLube

From: "David C. Hufford" <[email-masked]>
Date: Thu, 18 Jul 1996 20:48:26 -0400 (EDT)

Awhile back, someone mentioned Do-All Tool Saver as a lubricant for band 
saw blades.  I never found any of that stuff, but I stumbled across a 
product by LPS called Tapmatic Edge Lube.  It's a biodegradable cutting 
lubricant applicable to "all cutting and forming operations and all 
metals".  Best of all, it's a solid, dry, waxy bar.  I've tried 
it on my bandsaw blade and it seems to work well.  The product hipe says 
it can be used on grinding wheels and belts also.  Thought I'd mention 
it for what it's worth ......

D.C. Hufford